Public Class objDataInfo

    Public Event DescriptionChanged(ByVal objNumber As Integer)

    Dim objNr As Integer

    Public Sub New(ByVal n As Integer)
        InitializeComponent()

        objNr = n
        lblAllied.Text = "Allied Objective " & n.ToString & " Description:"
        lblAxis.Text = "Axis Objective " & n.ToString & " Description:"
    End Sub

    Private Sub txtAxis_Leave(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtAxis.Leave, txtAllied.Leave
        Dim t As TextBox = CType(sender, TextBox)
        If t IsNot Nothing Then
            t.Text = t.Text.Trim.Replace(Environment.NewLine, "*")
        End If
    End Sub

    Private Sub txtAxis_Enter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtAxis.Enter, txtAllied.Enter
        Dim t As TextBox = CType(sender, TextBox)
        If t IsNot Nothing Then
            t.Text = t.Text.Trim.Replace("*", Environment.NewLine)
        End If
    End Sub

    Private Sub Anything_Changed(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtAxis.TextChanged, txtAllied.TextChanged, optSecondary.CheckedChanged, optPrimary.CheckedChanged
        RaiseEvent DescriptionChanged(objNr)
    End Sub

End Class
